package com.prolog.eis.service.sys;

import com.prolog.eis.model.sys.SysParam;

import java.util.List;

public interface SysParamService {

    List<SysParam> findAll();

    List<SysParam> findNeedRefresh();

    void refresh(List<SysParam> sysParams);

    void updateSysParam(String paramNo, String paramValue);

    String findVal(String paramNo, String defaultParamValue);

    String findValFromList(List<SysParam> paramList, String paramNo, String defaultParamValue);
}
